### Hierarchy

- XNode

## Index

### Constructors

- constructor

### Properties

- attributes
- children
- isProperty
- isTemplate
- name

### Methods

- toString
- attach
- attached
- create
- namespace
- prepare
- property
- template

## Constructors

### constructor

- new XNode(name: string | Function, attributes: IAttributes, children: XNode[] | XNode[][] | any[], isProperty?: boolean, isTemplate?: boolean): XNode

- - Defined in src/core/XNode.ts:169

  #### Parameters

  - ##### name: string | Function

  - ##### attributes: IAttributes

  - ##### children: XNode[] | XNode[][] | any[]

  - ##### Optional isProperty: boolean

  - ##### Optional isTemplate: boolean

  #### Returns XNode

## Properties

### attributes

attributes: IAttributes

- Defined in src/core/XNode.ts:174

### children

children: XNode[] | XNode[][] | any[]

- Defined in src/core/XNode.ts:175

### Optional isProperty

isProperty: boolean

- Defined in src/core/XNode.ts:176

### Optional isTemplate

isTemplate: boolean

- Defined in src/core/XNode.ts:177

### name

name: string | Function

- Defined in src/core/XNode.ts:173

## Methods

### toString

- toString(): string

- - Defined in src/core/XNode.ts:180

  #### Returns string

### Static attach

- attach<T, T1, K>(n: IClassOf<T>, tag: K): object
- attach<T, T1>(n: IClassOf<T>, tag: function): object

- - Defined in src/core/XNode.ts:62

  #### Type parameters

  - #### T

  - #### T1: HTMLElementTagNameMap

  - #### K: keyof T1

  #### Parameters

  - ##### n: IClassOf<T>

  - ##### tag: K

  #### Returns object

- - Defined in src/core/XNode.ts:65

  #### Type parameters

  - #### T

  - #### T1

  #### Parameters

  - ##### n: IClassOf<T>

  - ##### tag: function

    - - (a?: Partial<T1>, ...nodes: XNode[]): XNode

      - #### Parameters

        - ##### Optional a: Partial<T1>

        - ##### Rest ...nodes: XNode[]

        #### Returns XNode

  #### Returns object

### Static attached

- attached(): AttachedNode

- - Defined in src/core/XNode.ts:102

  This is only for intellisense...

  #### Returns AttachedNode

### Static create

- create(name: string | Function, attributes: IAttributes, ...children: Array<XNode | XNode[] | any>): XNode

- - Defined in src/core/XNode.ts:154

  #### Parameters

  - ##### name: string | Function

  - ##### attributes: IAttributes

  - ##### Rest ...children: Array<XNode | XNode[] | any>

  #### Returns XNode

### Static namespace

- namespace(ns: string, assemblyName: string): (Anonymous function)

- - Defined in src/core/XNode.ts:119

  Declares Root Namespace and Assembly. You can use return function to to declare the type

  #### Parameters

  - ##### ns: string

    Root Namespace

  - ##### assemblyName: string

  #### Returns (Anonymous function)

### Static prepare

- prepare<T>(n: any, isProperty?: boolean, isTemplate?: boolean): function

- - Defined in src/core/XNode.ts:78

  #### Type parameters

  - #### T

  #### Parameters

  - ##### n: any

  - ##### Optional isProperty: boolean

  - ##### Optional isTemplate: boolean

  #### Returns function

  - - (attributes: Partial<T>, ...nodes: XNode[]): XNode

    - #### Parameters

      - ##### attributes: Partial<T>

      - ##### Rest ...nodes: XNode[]

      #### Returns XNode

### Static property

- property(): NodeFactory

- - Defined in src/core/XNode.ts:108

  #### Returns NodeFactory

### Static template

- template(): NodeFactory

- - Defined in src/core/XNode.ts:92

  #### Returns NodeFactory

Generated using TypeDoc